#!/bin/sh
# filter to convert Tk and Tcl man pages to html equivalents
# does not do any linking !!!!

TOP=`pwd`
if [ $# -eq 0 ] ; then
    echo "Usage $0 filename"
    exit
fi

cat  $1 | 
    sed  -e 's/\\-/-/g' \
         -e 's/\\[0&]/  /g' \
         -e 's/&/\&amp;/g' \
         -e 's/</\&lt;/g' \
         -e 's/>/\&gt;/g' \
         -e 's/\\|//g' \
         -e 's/\\e/\\/g'     |
    /usr/bin/nawk -f ${TOP}/tk2html.awk | 
     sed -e 's^\\fB\([^\\]*\)\\fR^<B>\1</B>^g' \
        -e 's^\\fI\(.[^\\]*\)\\fR^<I>\1</I>^g' \
        -e 's^\\fB^<B>^g' \
        -e 's^\\fI^<I>^g' \
        -e 's^\\f[RP]^</B></I>^g' \
        -e 's/^.[LP]P/<P>/' \
        -e 's/^.br/<BR>/' \
        -e 's/^\.DS.*/<pre>/' \
        -e 's$^\.DE.*$</pre>$' \
        -e 's/^\.nf */<table>/' \
        -e 's$^\.fi *$</table>$' \
        -e 's$^\.BE *$</pre><HR>$' \
        -e 's/^\.RS.*/<UL>/' \
        -e 's$^\.RE.*$</UL>$' \
        -e 's^\.SH *"*\([^"]*\)"*^</pre><H2>\1</H2>^' \
        -e 's/^\.[a-zA-Z]*.*//' \
        -e 's/^`\\\".*//' |
    /usr/bin/nawk -f ${TOP}/tk2html2.awk 

# The above handling for font mapping to html works correctly in about 95% of 
# the cases, the others turn out stacking the font setting so you get the 
# font bleeding since it isn't being turned # off in the correct places. 
# To correct we would have to record the current ( non-default) font and 
# explicitly turn it off when another font change is detected.
# Which would make multiple styles impossible concurrently which seems to
# be the case anyway....

